Subject: Re: bug#51144: GNU grep 3.7 fails to build on FreeBSD

From: Paul Eggert <[email-masked]>
Date: Sat, 16 Oct 2021 09:53:11 -0700

On 10/16/21 9:40 AM, Tĳl Coosemans wrote:
> Where
> necessary we simply pass --build=x64_64-portbld-freebsd$(version).  An
> example is gcc.

Could you pass --build=x64_64-portbld-freebsd$(version) to every 
'configure' invocation, not just gcc's and a few others?

If I understand you correctly, doing that would have avoided this 
particular problem, and it would avoid other potential problems with 
gnulib/m4's float_h.m4, host-cpu-c-abi.m4, lib-prefix.m4, multiarch.m4, 
printf.m4, as well as in GNU projects other than Gnulib (I haven't tried 
to catalog them).